Skladové výdajky
Upraviť skladovú výdajku
Aktualizuje existujúcu skladovú výdajku. Fintoro API používa plný PUT kontrakt a zachováva rovnakú stock availability validáciu ako create flow. Partner flow je rovnaký ako pri create: clientId použije existujúceho klienta, objekt client bez clientId spustí resolve-or-create flow.
PUT
/
warehouse-outbound-receipts
/
{warehouseOutboundReceipt}
Upraviť skladovú výdajku
curl --request PUT \
--url https://app.fintoro.sk/api/public/v1/warehouse-outbound-receipts/{warehouseOutboundReceipt} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"number": "VYD-2026-0001",
"warehouseId": 301,
"languageId": 1,
"issueDate": "2026-03-11",
"items": [
{
"priceListItemId": 701,
"quantity": 3,
"unitPrice": 15,
"vatRate": 20
}
],
"clientId": 101,
"client": {
"name": "Client s.r.o.",
"type": "company",
"subjectId": "12345678",
"taxId": "2020123456",
"vatId": "SK2020123456",
"isVatPayer": true,
"email": "billing@client.test",
"street": "Klientská 1",
"city": "Bratislava",
"zip": "81101",
"countryId": 703
},
"note": "Výdaj pre manuálny odber"
}
'import requests
url = "https://app.fintoro.sk/api/public/v1/warehouse-outbound-receipts/{warehouseOutboundReceipt}"
payload = {
"number": "VYD-2026-0001",
"warehouseId": 301,
"languageId": 1,
"issueDate": "2026-03-11",
"items": [
{
"priceListItemId": 701,
"quantity": 3,
"unitPrice": 15,
"vatRate": 20
}
],
"clientId": 101,
"client": {
"name": "Client s.r.o.",
"type": "company",
"subjectId": "12345678",
"taxId": "2020123456",
"vatId": "SK2020123456",
"isVatPayer": True,
"email": "billing@client.test",
"street": "Klientská 1",
"city": "Bratislava",
"zip": "81101",
"countryId": 703
},
"note": "Výdaj pre manuálny odber"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
number: 'VYD-2026-0001',
warehouseId: 301,
languageId: 1,
issueDate: '2026-03-11',
items: [{priceListItemId: 701, quantity: 3, unitPrice: 15, vatRate: 20}],
clientId: 101,
client: {
name: 'Client s.r.o.',
type: 'company',
subjectId: '12345678',
taxId: '2020123456',
vatId: 'SK2020123456',
isVatPayer: true,
email: 'billing@client.test',
street: 'Klientská 1',
city: 'Bratislava',
zip: '81101',
countryId: 703
},
note: 'Výdaj pre manuálny odber'
})
};
fetch('https://app.fintoro.sk/api/public/v1/warehouse-outbound-receipts/{warehouseOutboundReceipt}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.fintoro.sk/api/public/v1/warehouse-outbound-receipts/{warehouseOutboundReceipt}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'number' => 'VYD-2026-0001',
'warehouseId' => 301,
'languageId' => 1,
'issueDate' => '2026-03-11',
'items' => [
[
'priceListItemId' => 701,
'quantity' => 3,
'unitPrice' => 15,
'vatRate' => 20
]
],
'clientId' => 101,
'client' => [
'name' => 'Client s.r.o.',
'type' => 'company',
'subjectId' => '12345678',
'taxId' => '2020123456',
'vatId' => 'SK2020123456',
'isVatPayer' => true,
'email' => 'billing@client.test',
'street' => 'Klientská 1',
'city' => 'Bratislava',
'zip' => '81101',
'countryId' => 703
],
'note' => 'Výdaj pre manuálny odber'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.fintoro.sk/api/public/v1/warehouse-outbound-receipts/{warehouseOutboundReceipt}"
payload := strings.NewReader("{\n \"number\": \"VYD-2026-0001\",\n \"warehouseId\": 301,\n \"languageId\": 1,\n \"issueDate\": \"2026-03-11\",\n \"items\": [\n {\n \"priceListItemId\": 701,\n \"quantity\": 3,\n \"unitPrice\": 15,\n \"vatRate\": 20\n }\n ],\n \"clientId\": 101,\n \"client\": {\n \"name\": \"Client s.r.o.\",\n \"type\": \"company\",\n \"subjectId\": \"12345678\",\n \"taxId\": \"2020123456\",\n \"vatId\": \"SK2020123456\",\n \"isVatPayer\": true,\n \"email\": \"billing@client.test\",\n \"street\": \"Klientská 1\",\n \"city\": \"Bratislava\",\n \"zip\": \"81101\",\n \"countryId\": 703\n },\n \"note\": \"Výdaj pre manuálny odber\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.fintoro.sk/api/public/v1/warehouse-outbound-receipts/{warehouseOutboundReceipt}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"number\": \"VYD-2026-0001\",\n \"warehouseId\": 301,\n \"languageId\": 1,\n \"issueDate\": \"2026-03-11\",\n \"items\": [\n {\n \"priceListItemId\": 701,\n \"quantity\": 3,\n \"unitPrice\": 15,\n \"vatRate\": 20\n }\n ],\n \"clientId\": 101,\n \"client\": {\n \"name\": \"Client s.r.o.\",\n \"type\": \"company\",\n \"subjectId\": \"12345678\",\n \"taxId\": \"2020123456\",\n \"vatId\": \"SK2020123456\",\n \"isVatPayer\": true,\n \"email\": \"billing@client.test\",\n \"street\": \"Klientská 1\",\n \"city\": \"Bratislava\",\n \"zip\": \"81101\",\n \"countryId\": 703\n },\n \"note\": \"Výdaj pre manuálny odber\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.fintoro.sk/api/public/v1/warehouse-outbound-receipts/{warehouseOutboundReceipt}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"number\": \"VYD-2026-0001\",\n \"warehouseId\": 301,\n \"languageId\": 1,\n \"issueDate\": \"2026-03-11\",\n \"items\": [\n {\n \"priceListItemId\": 701,\n \"quantity\": 3,\n \"unitPrice\": 15,\n \"vatRate\": 20\n }\n ],\n \"clientId\": 101,\n \"client\": {\n \"name\": \"Client s.r.o.\",\n \"type\": \"company\",\n \"subjectId\": \"12345678\",\n \"taxId\": \"2020123456\",\n \"vatId\": \"SK2020123456\",\n \"isVatPayer\": true,\n \"email\": \"billing@client.test\",\n \"street\": \"Klientská 1\",\n \"city\": \"Bratislava\",\n \"zip\": \"81101\",\n \"countryId\": 703\n },\n \"note\": \"Výdaj pre manuálny odber\"\n}"
response = http.request(request)
puts response.read_body{
"id": 951,
"uuid": "3f4c9fdd-6f9b-42c9-8c4b-a9d3a3435cf4",
"number": "VYD-2026-0001",
"webDokladUrl": "https://app.fintoro.sk/web-doklad/company/warehouse-outbound-receipt/uuid",
"pdfDownloadUrl": "https://app.fintoro.sk/api/public/v1/warehouse-outbound-receipts/951/pdf",
"company": {
"name": "Fintoro s.r.o.",
"subjectId": "12345678",
"legalForm": "Spoločnosť s ručením obmedzeným",
"taxId": "2020123456",
"vatId": "SK2020123456",
"vatPayerTypeId": 4,
"country": "Slovensko",
"city": "Bratislava",
"street": "Hlavná 1",
"zip": "81101",
"registrationCourt": "Mestský súd Bratislava III",
"registrationNumber": "12345/B",
"email": "support@fintoro.sk",
"phone": "+421900000000",
"web": "https://fintoro.sk"
},
"warehouse": {
"id": 301,
"name": "Hlavný sklad",
"code": "MAIN-WH",
"inboundNumericalSeriesPattern": "PRI-(RR)-(CCCC)",
"inboundNumericalSeriesNextNumber": 12,
"outboundNumericalSeriesPattern": "VYD-(RR)-(CCCC)",
"outboundNumericalSeriesNextNumber": 8
},
"clientId": 101,
"client": {
"name": "Acme s.r.o.",
"type": "company",
"subjectId": "12345678",
"taxId": "2020123456",
"vatId": "SK2020123456",
"isVatPayer": true,
"email": "billing@acme.test",
"street": "Hlavná 1",
"city": "Bratislava",
"zip": "81101",
"countryId": 703,
"country": {
"id": 703,
"name": "Slovensko",
"code": "SK",
"eu": true
},
"hasDeliveryAddress": true,
"deliveryStreet": "Skladová 9",
"deliveryCity": "Košice",
"deliveryZip": "04001",
"deliveryCountryId": 703,
"deliveryCountry": {
"id": 703,
"name": "Slovensko",
"code": "SK",
"eu": true
}
},
"currency": {
"id": 1,
"symbol": "EUR",
"name": "Euro",
"mark": "€"
},
"language": {
"id": 1,
"name": "Slovenčina",
"code": "sk"
},
"issueDate": "2026-03-11",
"note": "Výdaj pre manuálny odber",
"hasVat": true,
"total": 30,
"totalWithVat": 36,
"items": [
{
"id": 7001,
"priceListItemId": 701,
"priceListItemName": "Montážna sada",
"priceListItemWarehouseCode": "SKU-001",
"unitName": "ks",
"quantity": 3,
"unitPrice": 15,
"unitPriceWithVat": 18,
"vatRate": 20
}
]
}{
"message": "No query results for model."
}{
"message": "The given data was invalid.",
"errors": {}
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}{
"message": "Service Unavailable"
}Autorizace
Tělo
application/json
Payload pre aktualizáciu skladovej výdajky. Fintoro API používa plný PUT kontrakt, preto sú required rovnaké business polia ako pri create.
Odpověď
Skladová výdajka bola aktualizovaná.
Skladová výdajka vrátane skladu, klientského snapshotu a položiek.
⌘I
Upraviť skladovú výdajku
curl --request PUT \
--url https://app.fintoro.sk/api/public/v1/warehouse-outbound-receipts/{warehouseOutboundReceipt} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"number": "VYD-2026-0001",
"warehouseId": 301,
"languageId": 1,
"issueDate": "2026-03-11",
"items": [
{
"priceListItemId": 701,
"quantity": 3,
"unitPrice": 15,
"vatRate": 20
}
],
"clientId": 101,
"client": {
"name": "Client s.r.o.",
"type": "company",
"subjectId": "12345678",
"taxId": "2020123456",
"vatId": "SK2020123456",
"isVatPayer": true,
"email": "billing@client.test",
"street": "Klientská 1",
"city": "Bratislava",
"zip": "81101",
"countryId": 703
},
"note": "Výdaj pre manuálny odber"
}
'import requests
url = "https://app.fintoro.sk/api/public/v1/warehouse-outbound-receipts/{warehouseOutboundReceipt}"
payload = {
"number": "VYD-2026-0001",
"warehouseId": 301,
"languageId": 1,
"issueDate": "2026-03-11",
"items": [
{
"priceListItemId": 701,
"quantity": 3,
"unitPrice": 15,
"vatRate": 20
}
],
"clientId": 101,
"client": {
"name": "Client s.r.o.",
"type": "company",
"subjectId": "12345678",
"taxId": "2020123456",
"vatId": "SK2020123456",
"isVatPayer": True,
"email": "billing@client.test",
"street": "Klientská 1",
"city": "Bratislava",
"zip": "81101",
"countryId": 703
},
"note": "Výdaj pre manuálny odber"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
number: 'VYD-2026-0001',
warehouseId: 301,
languageId: 1,
issueDate: '2026-03-11',
items: [{priceListItemId: 701, quantity: 3, unitPrice: 15, vatRate: 20}],
clientId: 101,
client: {
name: 'Client s.r.o.',
type: 'company',
subjectId: '12345678',
taxId: '2020123456',
vatId: 'SK2020123456',
isVatPayer: true,
email: 'billing@client.test',
street: 'Klientská 1',
city: 'Bratislava',
zip: '81101',
countryId: 703
},
note: 'Výdaj pre manuálny odber'
})
};
fetch('https://app.fintoro.sk/api/public/v1/warehouse-outbound-receipts/{warehouseOutboundReceipt}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.fintoro.sk/api/public/v1/warehouse-outbound-receipts/{warehouseOutboundReceipt}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'number' => 'VYD-2026-0001',
'warehouseId' => 301,
'languageId' => 1,
'issueDate' => '2026-03-11',
'items' => [
[
'priceListItemId' => 701,
'quantity' => 3,
'unitPrice' => 15,
'vatRate' => 20
]
],
'clientId' => 101,
'client' => [
'name' => 'Client s.r.o.',
'type' => 'company',
'subjectId' => '12345678',
'taxId' => '2020123456',
'vatId' => 'SK2020123456',
'isVatPayer' => true,
'email' => 'billing@client.test',
'street' => 'Klientská 1',
'city' => 'Bratislava',
'zip' => '81101',
'countryId' => 703
],
'note' => 'Výdaj pre manuálny odber'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.fintoro.sk/api/public/v1/warehouse-outbound-receipts/{warehouseOutboundReceipt}"
payload := strings.NewReader("{\n \"number\": \"VYD-2026-0001\",\n \"warehouseId\": 301,\n \"languageId\": 1,\n \"issueDate\": \"2026-03-11\",\n \"items\": [\n {\n \"priceListItemId\": 701,\n \"quantity\": 3,\n \"unitPrice\": 15,\n \"vatRate\": 20\n }\n ],\n \"clientId\": 101,\n \"client\": {\n \"name\": \"Client s.r.o.\",\n \"type\": \"company\",\n \"subjectId\": \"12345678\",\n \"taxId\": \"2020123456\",\n \"vatId\": \"SK2020123456\",\n \"isVatPayer\": true,\n \"email\": \"billing@client.test\",\n \"street\": \"Klientská 1\",\n \"city\": \"Bratislava\",\n \"zip\": \"81101\",\n \"countryId\": 703\n },\n \"note\": \"Výdaj pre manuálny odber\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.fintoro.sk/api/public/v1/warehouse-outbound-receipts/{warehouseOutboundReceipt}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"number\": \"VYD-2026-0001\",\n \"warehouseId\": 301,\n \"languageId\": 1,\n \"issueDate\": \"2026-03-11\",\n \"items\": [\n {\n \"priceListItemId\": 701,\n \"quantity\": 3,\n \"unitPrice\": 15,\n \"vatRate\": 20\n }\n ],\n \"clientId\": 101,\n \"client\": {\n \"name\": \"Client s.r.o.\",\n \"type\": \"company\",\n \"subjectId\": \"12345678\",\n \"taxId\": \"2020123456\",\n \"vatId\": \"SK2020123456\",\n \"isVatPayer\": true,\n \"email\": \"billing@client.test\",\n \"street\": \"Klientská 1\",\n \"city\": \"Bratislava\",\n \"zip\": \"81101\",\n \"countryId\": 703\n },\n \"note\": \"Výdaj pre manuálny odber\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.fintoro.sk/api/public/v1/warehouse-outbound-receipts/{warehouseOutboundReceipt}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"number\": \"VYD-2026-0001\",\n \"warehouseId\": 301,\n \"languageId\": 1,\n \"issueDate\": \"2026-03-11\",\n \"items\": [\n {\n \"priceListItemId\": 701,\n \"quantity\": 3,\n \"unitPrice\": 15,\n \"vatRate\": 20\n }\n ],\n \"clientId\": 101,\n \"client\": {\n \"name\": \"Client s.r.o.\",\n \"type\": \"company\",\n \"subjectId\": \"12345678\",\n \"taxId\": \"2020123456\",\n \"vatId\": \"SK2020123456\",\n \"isVatPayer\": true,\n \"email\": \"billing@client.test\",\n \"street\": \"Klientská 1\",\n \"city\": \"Bratislava\",\n \"zip\": \"81101\",\n \"countryId\": 703\n },\n \"note\": \"Výdaj pre manuálny odber\"\n}"
response = http.request(request)
puts response.read_body{
"id": 951,
"uuid": "3f4c9fdd-6f9b-42c9-8c4b-a9d3a3435cf4",
"number": "VYD-2026-0001",
"webDokladUrl": "https://app.fintoro.sk/web-doklad/company/warehouse-outbound-receipt/uuid",
"pdfDownloadUrl": "https://app.fintoro.sk/api/public/v1/warehouse-outbound-receipts/951/pdf",
"company": {
"name": "Fintoro s.r.o.",
"subjectId": "12345678",
"legalForm": "Spoločnosť s ručením obmedzeným",
"taxId": "2020123456",
"vatId": "SK2020123456",
"vatPayerTypeId": 4,
"country": "Slovensko",
"city": "Bratislava",
"street": "Hlavná 1",
"zip": "81101",
"registrationCourt": "Mestský súd Bratislava III",
"registrationNumber": "12345/B",
"email": "support@fintoro.sk",
"phone": "+421900000000",
"web": "https://fintoro.sk"
},
"warehouse": {
"id": 301,
"name": "Hlavný sklad",
"code": "MAIN-WH",
"inboundNumericalSeriesPattern": "PRI-(RR)-(CCCC)",
"inboundNumericalSeriesNextNumber": 12,
"outboundNumericalSeriesPattern": "VYD-(RR)-(CCCC)",
"outboundNumericalSeriesNextNumber": 8
},
"clientId": 101,
"client": {
"name": "Acme s.r.o.",
"type": "company",
"subjectId": "12345678",
"taxId": "2020123456",
"vatId": "SK2020123456",
"isVatPayer": true,
"email": "billing@acme.test",
"street": "Hlavná 1",
"city": "Bratislava",
"zip": "81101",
"countryId": 703,
"country": {
"id": 703,
"name": "Slovensko",
"code": "SK",
"eu": true
},
"hasDeliveryAddress": true,
"deliveryStreet": "Skladová 9",
"deliveryCity": "Košice",
"deliveryZip": "04001",
"deliveryCountryId": 703,
"deliveryCountry": {
"id": 703,
"name": "Slovensko",
"code": "SK",
"eu": true
}
},
"currency": {
"id": 1,
"symbol": "EUR",
"name": "Euro",
"mark": "€"
},
"language": {
"id": 1,
"name": "Slovenčina",
"code": "sk"
},
"issueDate": "2026-03-11",
"note": "Výdaj pre manuálny odber",
"hasVat": true,
"total": 30,
"totalWithVat": 36,
"items": [
{
"id": 7001,
"priceListItemId": 701,
"priceListItemName": "Montážna sada",
"priceListItemWarehouseCode": "SKU-001",
"unitName": "ks",
"quantity": 3,
"unitPrice": 15,
"unitPriceWithVat": 18,
"vatRate": 20
}
]
}{
"message": "No query results for model."
}{
"message": "The given data was invalid.",
"errors": {}
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}{
"message": "Service Unavailable"
}
